Subject: bug#22154: 25.0.50; emacsclient -c "breaks" 256-color display in server

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Dec 2015 20:37:26 +0200

> Date: Sun, 13 Dec 2015 20:17:11 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> > From: Eric Hanchrow <[email-masked]>
> > Date: Sun, 13 Dec 2015 10:05:20 -0800
> > Cc: [email-masked]
> > 
> >     Does the patch below fix the problem?
> > 
> > It doesn't seem to make any difference. 
> 
> Strange, it did make a difference on my system.
> 
> I guess I will then have to ask you to step in a debugger through
> set_tty_color_mode and tty_setup_colors, and tell what is stored in
> the default_* members of the tty object during the main Emacs
> initialization and when the client frame is created.  I have no access
> to a system with a 256-color xterm.

It could also be tty-color-alist.  Can you tell me what's in it after
Emacs starts on a 256-color xterm, and after the client frame is
created?  Also, does xterm.el initialization get called for the client
frame, and does it modify tty-color-alist?